Win a copy of The Business Blockchain this week in the Cloud forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Getting started with J2ME

 
Vijaishanker bala
Ranch Hand
Posts: 82
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi all,

I would like to start programming in J2ME, I have downloaded the nokia emulators and sdks and also the eclipseME plugin...I wrote a helloworld() program which works fine on the emulator but when I copy the .jar and .jad file in the deployed directory, to my mobile (nokia 6600), i get a incompatible version error...should I be doing anything else other than just copying the deployed files, like packaging or something...I would be greatful if someone can point me in the direction of some tutorials...

Thanks

Vijai
 
Gergo Csaki
Greenhorn
Posts: 13
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Check this: MIDP tutorial... This is a very simple application, a good point to start with.
About the invalid application error message: use correct midp-cldc profile setting in eclipseme for Your device.
This may not be the best practice, but I usually simply send the deployed jar (only the jar) via bluetooth to the target device (SE phones) or point the wap browser to it on my webserver.
[ December 11, 2005: Message edited by: Brian Twodoor ]
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic